import * as asyncHandler from 'express-async-handler';
import * as szgcBiz from '../../biz/getData';

export function setMap2LeftRoutes(httpServer) {
    httpServer.get('/szgc/getdata/monthlyVisitorCount', asyncHandler((req, res) => szgcBiz.getData(req, res, 'monthlyVisitorCount')));
    httpServer.get('/szgc/getdata/sightVisitorRank', asyncHandler((req, res) => szgcBiz.getData(req, res, 'sightVisitorRank')));
    httpServer.get('/szgc/getdata/monthlyRevenue', asyncHandler((req, res) => szgcBiz.getData(req, res, 'monthlyRevenue')));
    httpServer.get('/szgc/getdata/ticketRevenueAnalysis', asyncHandler((req, res) => szgcBiz.getData(req, res, 'ticketRevenueAnalysis')));
    httpServer.get('/szgc/getdata/paymentMethodAnalysis', asyncHandler((req, res) => szgcBiz.getData(req, res, 'paymentMethodAnalysis')));
    httpServer.get('/szgc/getdata/ecommerceRanking', asyncHandler((req, res) => szgcBiz.getData(req, res, 'ecommerceRanking')));
    httpServer.get('/szgc/getdata/ticketAnalysis', asyncHandler((req, res) => szgcBiz.getData(req, res, 'ticketAnalysis')));
}